PaidGoods
API referenceAffiliates

Reject a payout request (the amount goes back to the affiliate balance)

POST
/v1/stores/{storeId}/affiliates/payouts/{payoutId}/reject

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
payoutId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/affiliates/payouts/string/reject" \  -H "Content-Type: application/json" \  -d '{    "note": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "number": -9007199254740991,  "affiliateId": "db499c7c-f1f8-4bce-9ff0-10cc890eeda0",  "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",  "email": "string",  "code": "string",  "amountMinor": -9007199254740991,  "currency": "string",  "status": "pending",  "payoutDetails": "string",  "sellerNote": "string",  "externalReference": "string",  "createdAt": "string",  "processedAt": "string"}